/*
 * TrkRigMDRCut.cpp
 *
 *  Created on: 07/ago/2009
 *      Author: Nicola Mori
 */

/*! @file TrkRigMDRCut.cpp The TrkRigMDRCut class implementation file. */

#include "TrkRigMDRCut.h"

int TrkRigMDRCut::Check(PamLevel2 *event) {

  TrkTrack *trkTrack = event->GetTrack(0)->GetTrkTrack();

  if (trkTrack->GetRigidity() * _MDRFactor > 1./sqrt(trkTrack->coval[4][4]))
    return 0;

  return CUTOK;
}
